org.eclipse.viatra.addon.databinding.runtime.api

## Class ViatraHeadlessRealm

- java.lang.Object
- - org.eclipse.core.databinding.observable.Realm
  - - org.eclipse.viatra.addon.databinding.runtime.api.ViatraHeadlessRealm

-     public class ViatraHeadlessRealm
      extends org.eclipse.core.databinding.observable.Realm

  Simple realm implementation that will set itself as default when constructed. Invoke `dispose()` to remove the realm from being the default. Does not support asyncExec(...). Original source: http://wiki.eclipse.org/JFace_Data_Binding/Realm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViatraHeadlessRealm()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `asyncExec(java.lang.Runnable runnable)`
    `void` | `dispose()` Removes the realm from being the current and sets the previous realm to the default.
    `boolean` | `isCurrent()`
    `protected void` | `syncExec(java.lang.Runnable runnable)`

    - ### Methods inherited from class org.eclipse.core.databinding.observable.Realm

      `exec, getDefault, runWithDefault, safeRun, setDefault, timerExec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViatraHeadlessRealm

          public ViatraHeadlessRealm()

  - ### Method Detail

    - #### isCurrent

          public boolean isCurrent()

      Specified by:
        `isCurrent` in class `org.eclipse.core.databinding.observable.Realm`
      Returns:
        always returns true

    - #### syncExec

          protected void syncExec(java.lang.Runnable runnable)

      Overrides:
        `syncExec` in class `org.eclipse.core.databinding.observable.Realm`

    - #### asyncExec

          public void asyncExec(java.lang.Runnable runnable)

      Overrides:
        `asyncExec` in class `org.eclipse.core.databinding.observable.Realm`
      Throws:
        `java.lang.UnsupportedOperationException`

    - #### dispose

          public void dispose()

      Removes the realm from being the current and sets the previous realm to the default.